Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-11-28 10:19:06 +0300
committerJunio C Hamano <junkio@cox.net>2005-11-29 10:13:03 +0300
commit7ea2fc47d258657d673ce3b9403ed98cc50e2600 (patch)
treeaa457c742365705f3296fc4cf2d0d78d44a1253d /git-tag.sh
parenteefaa4fca79f5240eaefd0046a338dbdac8b4204 (diff)
tag: make it operable from a subdirectory.
Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-tag.sh')
-rwxr-xr-xgit-tag.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-tag.sh b/git-tag.sh
index 16efc5b70a..e71028695c 100755
--- a/git-tag.sh
+++ b/git-tag.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright (c) 2005 Linus Torvalds
-. git-sh-setup
+GIT_DIR=`git-rev-parse --git-dir` || exit $?
usage () {
echo >&2 "Usage: git-tag [-a | -s | -u <key-id>] [-f | -d] [-m <msg>] <tagname> [<head>]"